com.virtual.tour.road.com.virtual.tour.road.model

## Class InformacionRuta

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.model.InformacionRuta

-     public class InformacionRuta
      extends java.lang.Object

  Created by Carolina Bonnin on 21/04/2015. Clase compartida entre las activities para acceder a la informacion necesaria de la ruta y gestionar bien la visualizacion, recuperacion y dibujado en el mapa de esta.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<com.google.android.gms.maps.model.LatLng>` | `arrayPuntos`
    `float` | `bearing`
    `boolean` | `hayRuta`
    `private static InformacionRuta` | `informacionRuta`
    `com.google.android.gms.maps.model.LatLng` | `puntoFinal`
    `com.google.android.gms.maps.model.LatLng` | `puntoInicial`
    `boolean` | `recuperada`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformacionRuta()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<com.google.android.gms.maps.model.LatLng>` | `getArrayPuntos()`
    `float` | `getBearing()`
    `boolean` | `getHayRuta()`
    `static InformacionRuta` | `getInstance()`
    `com.google.android.gms.maps.model.LatLng` | `getPuntoFinal()`
    `com.google.android.gms.maps.model.LatLng` | `getPuntoInicial()`
    `boolean` | `isRecuperada()`
    `void` | `setArrayPuntos(java.util.List<com.google.android.gms.maps.model.LatLng> newArray)`
    `void` | `setBearing(float bearing)`
    `void` | `setHayRuta(boolean ruta)`
    `void` | `setPuntoFinal(com.google.android.gms.maps.model.LatLng puntoFinal)`
    `void` | `setPuntoInicial(com.google.android.gms.maps.model.LatLng puntoInicial)`
    `void` | `setRecuperada(boolean recuperada)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### arrayPuntos

          public java.util.List<com.google.android.gms.maps.model.LatLng> arrayPuntos

    - #### bearing

          public float bearing

    - #### hayRuta

          public boolean hayRuta

    - #### informacionRuta

          private static final InformacionRuta informacionRuta

    - #### puntoFinal

          public com.google.android.gms.maps.model.LatLng puntoFinal

    - #### puntoInicial

          public com.google.android.gms.maps.model.LatLng puntoInicial

    - #### recuperada

          public boolean recuperada

  - ### Constructor Detail

    - #### InformacionRuta

          public InformacionRuta()

  - ### Method Detail

    - #### getArrayPuntos

          public java.util.List<com.google.android.gms.maps.model.LatLng> getArrayPuntos()

    - #### getBearing

          public float getBearing()

    - #### getHayRuta

          public boolean getHayRuta()

    - #### getInstance

          public static InformacionRuta getInstance()

    - #### getPuntoFinal

          public com.google.android.gms.maps.model.LatLng getPuntoFinal()

    - #### getPuntoInicial

          public com.google.android.gms.maps.model.LatLng getPuntoInicial()

    - #### isRecuperada

          public boolean isRecuperada()

    - #### setArrayPuntos

          public void setArrayPuntos(java.util.List<com.google.android.gms.maps.model.LatLng> newArray)

    - #### setBearing

          public void setBearing(float bearing)

    - #### setHayRuta

          public void setHayRuta(boolean ruta)

    - #### setPuntoFinal

          public void setPuntoFinal(com.google.android.gms.maps.model.LatLng puntoFinal)

    - #### setPuntoInicial

          public void setPuntoInicial(com.google.android.gms.maps.model.LatLng puntoInicial)

    - #### setRecuperada

          public void setRecuperada(boolean recuperada)